Examples

GET /katello/api/flatpak_remote_repositories
200
{
  "total": 4,
  "subtotal": 4,
  "selectable": 4,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "name",
    "order": "asc"
  },
  "results": [
    {
      "name": "f41/flatpak-runtime",
      "application_name": null,
      "label": "Fedora_flatpak-f41_flatpak-runtime",
      "flatpak_remote_id": 756898686,
      "id": 80380443,
      "last_mirrored": {}
    },
    {
      "name": "firefox",
      "application_name": null,
      "label": "Fedora_flatpak-firefox",
      "flatpak_remote_id": 756898686,
      "id": 637171033,
      "last_mirrored": {}
    },
    {
      "name": "rhel9/firefox-flatpak",
      "application_name": "org.mozilla.Firefox",
      "label": "Redhat_flatpak-rhel9-firefox-flatpak",
      "flatpak_remote_id": 228288065,
      "id": 501177191,
      "last_mirrored": {}
    },
    {
      "name": "rhel9/flatpak-runtime",
      "application_name": "com.redhat.Platform",
      "label": "Redhat_flatpak-rhel9_flatpak-runtime",
      "flatpak_remote_id": 228288065,
      "id": 657037483,
      "last_mirrored": {}
    }
  ]
}

Params

Param name Description
organization_id
optional

organization identifier

Validations:

  • Must be a number.

flatpak_remote_id
required

ID of flatpak remote to show repositories of

Validations:

  • Must be a number.

name
optional

Name of the flatpak remote repository

Validations:

  • String

label
optional

Label of the flatpak remote

Validations:

  • String

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
flatpak_remote_id integer
id integer
label string
name string